drop table dim_MPSTAT;

create table dim_MPSTAT
(
 ID          int,
 Sno         int,
 CPU         int,

 Min_fault   int,
 Maj_fault   int,
 Xcal        int,
 Intr        int,
 Ithr        int,
 Csw         int,
 Icsw        int,
 Migr        int,
 Spin_mtx    int,
 Spin_rw     int,
 Sys_calls   int,
 Usr         int,
 Sys         int,
 Wait        int,
 Idle        int
);

create index dim_MPSTAT_ID   on dim_MPSTAT( ID );
create index dim_MPSTAT_Sno  on dim_MPSTAT( Sno );
create index dim_MPSTAT_CPU  on dim_MPSTAT( CPU );

alter table dim_MPSTAT lock mode(row);

delete from TabX_note where tabname = 'dim_MPSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_MPSTAT', 'dim_STAT CPU Statistics' );

delete from TabX where tabname = 'dim_MPSTAT';
insert into TabX values ( 'dim_MPSTAT', 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_MPSTAT', 'sno', 'S', 'Sno#', '' );
insert into TabX values ( 'dim_MPSTAT', 'cpu', 'AD', 'CPU', '' );

insert into TabX values ( 'dim_MPSTAT', 'min_fault', 'V', 'Min.Fault', '' );
insert into TabX values ( 'dim_MPSTAT', 'maj_fault', 'V', 'Maj.Fault', '' );
insert into TabX values ( 'dim_MPSTAT', 'xcal', 'V', 'Cross-Calls', '' );
insert into TabX values ( 'dim_MPSTAT', 'intr', 'V', 'Interrupts', '' );
insert into TabX values ( 'dim_MPSTAT', 'ithr', 'V', 'Interrupts-as-threads', '' );
insert into TabX values ( 'dim_MPSTAT', 'csw', 'V', 'Cont.Switchs', '' );
insert into TabX values ( 'dim_MPSTAT', 'icsw', 'V', 'Inv.Cont.Switchs', '' );
insert into TabX values ( 'dim_MPSTAT', 'migr', 'V', 'Thrd.Migrations', '' );
insert into TabX values ( 'dim_MPSTAT', 'spin_mtx', 'V', 'Spin.Mutex', '' );
insert into TabX values ( 'dim_MPSTAT', 'spin_rw', 'V', 'Spin.R/W', '' );
insert into TabX values ( 'dim_MPSTAT', 'usr', 'V', 'Usr%', '' );
insert into TabX values ( 'dim_MPSTAT', 'sys', 'V', 'Sys%', '' );
insert into TabX values ( 'dim_MPSTAT', 'wait', 'V', 'Wait I/O%', '' );
insert into TabX values ( 'dim_MPSTAT', 'idle', 'V', 'Idle%', '' );

