drop table dim_VXSTAT;

create table dim_VXSTAT
(
 ID          int,
 Sno         int,
 Vol         char(20),
 R_OP        int,
 W_OP        int,
 R_BLK       int,
 W_BLK       int,
 R_AVG       float,
 W_AVG       float
);

create index dim_VXSTAT_ID   on dim_VXSTAT( ID );
create index dim_VXSTAT_Sno  on dim_VXSTAT( Sno );
create index dim_VXSTAT_Vol  on dim_VXSTAT( Vol );

alter table dim_VXSTAT lock mode(row);

delete from TabX_note where tabname = 'dim_VXSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_VXSTAT', 'dim_STAT VxVM Volume Statistics' );

delete from TabX where tabname = 'dim_VXSTAT';
insert into TabX values ( 'dim_VXSTAT', 'id',  'AD', 'ID', '' );
insert into TabX values ( 'dim_VXSTAT', 'sno', 'S', '#Sno', '' );
insert into TabX values ( 'dim_VXSTAT', 'vol', 'AS', 'Volume', '' );
insert into TabX values ( 'dim_VXSTAT', 'r_op', 'V', 'Read Op.', '' );
insert into TabX values ( 'dim_VXSTAT', 'w_op', 'V', 'Write Op.', '' );
insert into TabX values ( 'dim_VXSTAT', 'r_blk', 'V', 'Read Blk.', '' );
insert into TabX values ( 'dim_VXSTAT', 'w_blk', 'V', 'Write Blk.', '' );
insert into TabX values ( 'dim_VXSTAT', 'r_avg', 'V', 'Read Avg(ms)', '' );
insert into TabX values ( 'dim_VXSTAT', 'w_avg', 'V', 'Write Avg(ms)', '' );

